package common.init;

import java.lang.reflect.Field;
import java.lang.reflect.Modifier;
import java.util.Collections;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

import common.collect.Lists;
import common.collect.Sets;
import common.item.*;
import common.item.block.ItemBanner;
import common.item.block.ItemBed;
import common.item.block.ItemBlock;
import common.item.block.ItemButton;
import common.item.block.ItemChest;
import common.item.block.ItemColored;
import common.item.block.ItemDoor;
import common.item.block.ItemDoublePlant;
import common.item.block.ItemFence;
import common.item.block.ItemLilyPad;
import common.item.block.ItemMetalBlock;
import common.item.block.ItemPiston;
import common.item.block.ItemPressurePlate;
import common.item.block.ItemRedstone;
import common.item.block.ItemSeedFood;
import common.item.block.ItemSeeds;
import common.item.block.ItemSign;
import common.item.block.ItemSlab;
import common.item.block.ItemSmallBlock;
import common.item.block.ItemSnow;
import common.item.block.ItemWall;
import common.item.material.ItemBook;
import common.item.material.ItemDye;
import common.item.material.ItemEnchantedBook;
import common.item.material.ItemMetal;
import common.item.material.ItemNugget;
import common.item.material.ItemRecord;
import common.item.spawner.ItemBoat;
import common.item.spawner.ItemMinecart;
import common.item.spawner.ItemMonsterPlacer;
import common.item.spawner.ItemNpcSpawner;
import common.item.tool.ItemAmmo;
import common.item.tool.ItemAppleGold;
import common.item.tool.ItemArmor;
import common.item.tool.ItemAxe;
import common.item.tool.ItemBanHammer;
import common.item.tool.ItemBoltgun;
import common.item.tool.ItemBow;
import common.item.tool.ItemBucket;
import common.item.tool.ItemBucketMilk;
import common.item.tool.ItemCamera;
import common.item.tool.ItemCarrotOnAStick;
import common.item.tool.ItemChargedOrb;
import common.item.tool.ItemDie;
import common.item.tool.ItemDynamite;
import common.item.tool.ItemEditWand;
import common.item.tool.ItemEgg;
import common.item.tool.ItemExpBottle;
import common.item.tool.ItemExterminator;
import common.item.tool.ItemFireball;
import common.item.tool.ItemFirework;
import common.item.tool.ItemFireworkCharge;
import common.item.tool.ItemFishFood;
import common.item.tool.ItemFishingRod;
import common.item.tool.ItemFlintAndSteel;
import common.item.tool.ItemFood;
import common.item.tool.ItemGlassBottle;
import common.item.tool.ItemHoe;
import common.item.tool.ItemHorseArmor;
import common.item.tool.ItemInfoWand;
import common.item.tool.ItemKey;
import common.item.tool.ItemLead;
import common.item.tool.ItemLightning;
import common.item.tool.ItemMagnet;
import common.item.tool.ItemNameTag;
import common.item.tool.ItemPickaxe;
import common.item.tool.ItemPotion;
import common.item.tool.ItemSaddle;
import common.item.tool.ItemShears;
import common.item.tool.ItemShovel;
import common.item.tool.ItemSnowball;
import common.item.tool.ItemSoup;
import common.item.tool.ItemSpaceNavigator;
import common.item.tool.ItemSword;
import common.item.tool.ItemWeatherToken;
import common.util.Util;


public abstract class Items {
	public static final ItemDoor acacia_door = get("acacia_door");
	public static final ItemFence acacia_fence = get("acacia_fence");
	public static final ItemBlock acacia_fence_gate = get("acacia_fence_gate");
	public static final ItemColored acacia_leaves_autumn = get("acacia_leaves_autumn");
	public static final ItemColored acacia_leaves_snowy = get("acacia_leaves_snowy");
	public static final ItemColored acacia_leaves_spring = get("acacia_leaves_spring");
	public static final ItemColored acacia_leaves_summer = get("acacia_leaves_summer");
	public static final ItemColored acacia_leaves_winter = get("acacia_leaves_winter");
	public static final ItemBlock acacia_log = get("acacia_log");
	public static final ItemBlock acacia_planks = get("acacia_planks");
	public static final ItemBlock acacia_sapling = get("acacia_sapling");
	public static final ItemSlab acacia_slab = get("acacia_slab");
	public static final ItemBlock acacia_stairs = get("acacia_stairs");
	public static final ItemBucket acid_bucket = get("acid_bucket");
	public static final ItemBlock activator_rail = get("activator_rail");
	public static final Item ahrd_fragment = get("ahrd_fragment");
	public static final ItemBlock allium = get("allium");
	public static final ItemMetalBlock aluminium_block = get("aluminium_block");
	public static final ItemMetal aluminium_ingot = get("aluminium_ingot");
	public static final ItemMetalBlock aluminium_ore = get("aluminium_ore");
	public static final ItemMetalBlock antimony_block = get("antimony_block");
	public static final ItemMetalBlock antimony_ore = get("antimony_ore");
	public static final ItemMetal antimony_powder = get("antimony_powder");
	public static final ItemBlock anvil = get("anvil");
	public static final ItemBlock anvil_damaged_1 = get("anvil_damaged_1");
	public static final ItemBlock anvil_damaged_2 = get("anvil_damaged_2");
	public static final ItemFood apple = get("apple");
	public static final ItemBlock ardite_block = get("ardite_block");
	public static final ItemArmor ardite_boots = get("ardite_boots");
	public static final ItemArmor ardite_chestplate = get("ardite_chestplate");
	public static final ItemArmor ardite_helmet = get("ardite_helmet");
	public static final ItemArmor ardite_leggings = get("ardite_leggings");
	public static final ItemBlock ardite_ore = get("ardite_ore");
	public static final ItemSword ardite_sword = get("ardite_sword");
	public static final Item arrow = get("arrow");
	public static final ItemMetalBlock arsenic_block = get("arsenic_block");
	public static final ItemMetalBlock arsenic_ore = get("arsenic_ore");
	public static final ItemMetal arsenic_powder = get("arsenic_powder");
	public static final ItemBlock ash = get("ash");
	public static final ItemBlock assembly_unit = get("assembly_unit");
	public static final ItemFood baked_potato = get("baked_potato");
	public static final ItemBanHammer banhammer = get("banhammer");
	public static final ItemBanner banner = get("banner");
	public static final ItemBlock beacon = get("beacon");
	public static final ItemBlock bedrock = get("bedrock");
	public static final ItemFood beef = get("beef");
	public static final ItemDoor birch_door = get("birch_door");
	public static final ItemFence birch_fence = get("birch_fence");
	public static final ItemBlock birch_fence_gate = get("birch_fence_gate");
	public static final ItemColored birch_leaves_autumn = get("birch_leaves_autumn");
	public static final ItemColored birch_leaves_snowy = get("birch_leaves_snowy");
	public static final ItemColored birch_leaves_spring = get("birch_leaves_spring");
	public static final ItemColored birch_leaves_summer = get("birch_leaves_summer");
	public static final ItemColored birch_leaves_winter = get("birch_leaves_winter");
	public static final ItemBlock birch_log = get("birch_log");
	public static final ItemBlock birch_planks = get("birch_planks");
	public static final ItemBlock birch_sapling = get("birch_sapling");
	public static final ItemSlab birch_slab = get("birch_slab");
	public static final ItemBlock birch_stairs = get("birch_stairs");
	public static final ItemMetalBlock bismuth_block = get("bismuth_block");
	public static final ItemMetal bismuth_ingot = get("bismuth_ingot");
	public static final ItemMetalBlock bismuth_ore = get("bismuth_ore");
	public static final ItemBed black_bed = get("black_bed");
	public static final ItemBlock black_brick = get("black_brick");
	public static final ItemFence black_brick_fence = get("black_brick_fence");
	public static final ItemSlab black_brick_slab = get("black_brick_slab");
	public static final ItemBlock black_brick_stairs = get("black_brick_stairs");
	public static final ItemBlock black_carpet = get("black_carpet");
	public static final ItemBlock black_clay = get("black_clay");
	public static final ItemBlock black_glass = get("black_glass");
	public static final ItemBlock black_glass_pane = get("black_glass_pane");
	public static final ItemBlock black_lotus = get("black_lotus");
	public static final ItemMetalBlock black_metal_block = get("black_metal_block");
	public static final ItemMetal black_metal_ingot = get("black_metal_ingot");
	public static final ItemMetalBlock black_metal_ore = get("black_metal_ore");
	public static final Item black_quartz = get("black_quartz");
	public static final ItemBlock black_quartz_block = get("black_quartz_block");
	public static final ItemBlock black_quartz_ore = get("black_quartz_ore");
	public static final ItemBlock black_quartz_ornaments = get("black_quartz_ornaments");
	public static final ItemBlock black_quartz_pillar = get("black_quartz_pillar");
	public static final ItemSlab black_quartz_slab = get("black_quartz_slab");
	public static final ItemBlock black_quartz_stairs = get("black_quartz_stairs");
	public static final ItemBlock black_wool = get("black_wool");
	public static final Item blackbrick = get("blackbrick");
	public static final ItemBlock blackened_cobble = get("blackened_cobble");
	public static final ItemBlock blackened_dirt = get("blackened_dirt");
	public static final ItemBlock blackened_soil = get("blackened_soil");
	public static final ItemBlock blackened_stone = get("blackened_stone");
	public static final ItemDoor blackwood_door = get("blackwood_door");
	public static final ItemFence blackwood_fence = get("blackwood_fence");
	public static final ItemBlock blackwood_fence_gate = get("blackwood_fence_gate");
	public static final ItemColored blackwood_leaves_autumn = get("blackwood_leaves_autumn");
	public static final ItemColored blackwood_leaves_snowy = get("blackwood_leaves_snowy");
	public static final ItemColored blackwood_leaves_spring = get("blackwood_leaves_spring");
	public static final ItemColored blackwood_leaves_summer = get("blackwood_leaves_summer");
	public static final ItemColored blackwood_leaves_winter = get("blackwood_leaves_winter");
	public static final ItemBlock blackwood_log = get("blackwood_log");
	public static final ItemBlock blackwood_planks = get("blackwood_planks");
	public static final ItemBlock blackwood_sapling = get("blackwood_sapling");
	public static final ItemSlab blackwood_slab = get("blackwood_slab");
	public static final ItemBlock blackwood_stairs = get("blackwood_stairs");
	public static final Item blazing_powder = get("blazing_powder");
	public static final ItemRod blaze_rod = get("blaze_rod");
	public static final ItemBlock blood_brick = get("blood_brick");
	public static final ItemFence blood_brick_fence = get("blood_brick_fence");
	public static final ItemSlab blood_brick_slab = get("blood_brick_slab");
	public static final ItemBlock blood_brick_stairs = get("blood_brick_stairs");
	public static final ItemBucket blood_bucket = get("blood_bucket");
	public static final Item bloodbrick = get("bloodbrick");
	public static final ItemBlock blue_carpet = get("blue_carpet");
	public static final ItemBlock blue_clay = get("blue_clay");
	public static final ItemBlock blue_glass = get("blue_glass");
	public static final ItemBlock blue_glass_pane = get("blue_glass_pane");
	public static final ItemBlock blue_mushroom = get("blue_mushroom");
	public static final ItemBlock blue_orchid = get("blue_orchid");
	public static final ItemBlock blue_wool = get("blue_wool");
	public static final ItemBoat boat = get("boat");
	public static final ItemAmmo bolt = get("bolt");
	public static final ItemBoltgun boltgun = get("boltgun");
	public static final ItemStick bone = get("bone");
	public static final ItemDye bonemeal = get("bonemeal");
	public static final ItemBook book = get("book");
	public static final ItemBlock bookshelf = get("bookshelf");
	public static final ItemBow bow = get("bow");
	public static final ItemSmall bowl = get("bowl");
	public static final ItemFood bread = get("bread");
	public static final ItemSmallBlock brewing_stand = get("brewing_stand");
	public static final Item brick = get("brick");
	public static final ItemBlock brick_block = get("brick_block");
	public static final ItemSlab brick_slab = get("brick_slab");
	public static final ItemBlock brick_stairs = get("brick_stairs");
	public static final ItemBlock brown_carpet = get("brown_carpet");
	public static final ItemBlock brown_clay = get("brown_clay");
	public static final ItemBlock brown_glass = get("brown_glass");
	public static final ItemBlock brown_glass_pane = get("brown_glass_pane");
	public static final ItemBlock brown_mushroom = get("brown_mushroom");
	public static final ItemBlock brown_mushroom_block = get("brown_mushroom_block");
	public static final ItemBlock brown_wool = get("brown_wool");
	public static final ItemBucket bucket = get("bucket");
	public static final ItemFlintAndSteel burning_soul = get("burning_soul");
	public static final ItemBlock cactus = get("cactus");
	public static final ItemDye cactus_green = get("cactus_green");
	public static final ItemSmallBlock cake = get("cake");
	public static final ItemMetalBlock calcium_block = get("calcium_block");
	public static final ItemMetalBlock calcium_ore = get("calcium_ore");
	public static final ItemMetal calcium_powder = get("calcium_powder");
	public static final ItemCamera camera = get("camera");
	public static final ItemSeedFood carrot = get("carrot");
	public static final ItemCarrotOnAStick carrot_on_a_stick = get("carrot_on_a_stick");
	public static final ItemBlock carved_sandstone = get("carved_sandstone");
	public static final ItemBlock carved_stonebrick = get("carved_stonebrick");
	public static final ItemSmallBlock cauldron = get("cauldron");
	public static final ItemBlock cell_rock = get("cell_rock");
	public static final ItemMagnetic chain = get("chain");
	public static final ItemArmor chain_boots = get("chain_boots");
	public static final ItemArmor chain_chestplate = get("chain_chestplate");
	public static final ItemArmor chain_helmet = get("chain_helmet");
	public static final ItemArmor chain_leggings = get("chain_leggings");
	public static final Item charcoal = get("charcoal");
	public static final ItemEffect charge_crystal = get("charge_crystal");
	public static final ItemChargedOrb charged_orb = get("charged_orb");
	public static final ItemDoor cherry_door = get("cherry_door");
	public static final ItemFence cherry_fence = get("cherry_fence");
	public static final ItemBlock cherry_fence_gate = get("cherry_fence_gate");
	public static final ItemColored cherry_leaves_autumn = get("cherry_leaves_autumn");
	public static final ItemColored cherry_leaves_snowy = get("cherry_leaves_snowy");
	public static final ItemColored cherry_leaves_spring = get("cherry_leaves_spring");
	public static final ItemColored cherry_leaves_summer = get("cherry_leaves_summer");
	public static final ItemColored cherry_leaves_winter = get("cherry_leaves_winter");
	public static final ItemBlock cherry_log = get("cherry_log");
	public static final ItemBlock cherry_planks = get("cherry_planks");
	public static final ItemBlock cherry_sapling = get("cherry_sapling");
	public static final ItemSlab cherry_slab = get("cherry_slab");
	public static final ItemBlock cherry_stairs = get("cherry_stairs");
	public static final ItemChest chest = get("chest");
	public static final ItemMinecart chest_minecart = get("chest_minecart");
	public static final ItemMagnet chick_magnet = get("chick_magnet");
	public static final ItemFood chicken = get("chicken");
	public static final ItemMetalBlock chrome_block = get("chrome_block");
	public static final ItemMetal chrome_ingot = get("chrome_ingot");
	public static final ItemMetalBlock chrome_ore = get("chrome_ore");
	public static final Item cinnabar = get("cinnabar");
	public static final ItemBlock cinnabar_block = get("cinnabar_block");
	public static final ItemBlock cinnabar_ore = get("cinnabar_ore");
	public static final ItemBlock clay = get("clay");
	public static final Item clay_ball = get("clay_ball");
	public static final ItemArmor cloth_boots = get("cloth_boots");
	public static final ItemArmor cloth_chestplate = get("cloth_chestplate");
	public static final ItemArmor cloth_helmet = get("cloth_helmet");
	public static final ItemArmor cloth_leggings = get("cloth_leggings");
	public static final Item coal = get("coal");
	public static final ItemBlock coal_block = get("coal_block");
	public static final ItemBlock coal_ore = get("coal_ore");
	public static final ItemBlock coarse_dirt = get("coarse_dirt");
	public static final ItemMetalBlock cobalt_block = get("cobalt_block");
	public static final ItemMetal cobalt_ingot = get("cobalt_ingot");
	public static final ItemMetalBlock cobalt_ore = get("cobalt_ore");
	public static final ItemBlock cobblestone = get("cobblestone");
	public static final ItemSlab cobblestone_slab = get("cobblestone_slab");
	public static final ItemBlock cobblestone_stairs = get("cobblestone_stairs");
	public static final ItemWall cobblestone_wall = get("cobblestone_wall");
	public static final ItemDye cocoa = get("cocoa");
	public static final ItemSmallBlock comparator = get("comparator");
	public static final ItemBlock construction_table = get("construction_table");
	public static final ItemFood cooked_beef = get("cooked_beef");
	public static final ItemFood cooked_chicken = get("cooked_chicken");
	public static final ItemFood cooked_porkchop = get("cooked_porkchop");
	public static final ItemFood cookie = get("cookie");
	public static final ItemMetalBlock copper_block = get("copper_block");
	public static final ItemMetal copper_ingot = get("copper_ingot");
	public static final ItemMetalBlock copper_ore = get("copper_ore");
	public static final ItemBlock core = get("core");
	public static final ItemBlock cracked_stonebrick = get("cracked_stonebrick");
	public static final ItemBlock cyan_carpet = get("cyan_carpet");
	public static final ItemBlock cyan_clay = get("cyan_clay");
	public static final ItemDye cyan_dye = get("cyan_dye");
	public static final ItemBlock cyan_glass = get("cyan_glass");
	public static final ItemBlock cyan_glass_pane = get("cyan_glass_pane");
	public static final ItemBlock cyan_wool = get("cyan_wool");
	public static final ItemBlock daisy = get("daisy");
	public static final ItemBlock dandelion = get("dandelion");
	public static final ItemFlintAndSteel dark_lighter = get("dark_lighter");
	public static final ItemDoor dark_oak_door = get("dark_oak_door");
	public static final ItemFence dark_oak_fence = get("dark_oak_fence");
	public static final ItemBlock dark_oak_fence_gate = get("dark_oak_fence_gate");
	public static final ItemColored dark_oak_leaves_autumn = get("dark_oak_leaves_autumn");
	public static final ItemColored dark_oak_leaves_snowy = get("dark_oak_leaves_snowy");
	public static final ItemColored dark_oak_leaves_spring = get("dark_oak_leaves_spring");
	public static final ItemColored dark_oak_leaves_summer = get("dark_oak_leaves_summer");
	public static final ItemColored dark_oak_leaves_winter = get("dark_oak_leaves_winter");
	public static final ItemBlock dark_oak_log = get("dark_oak_log");
	public static final ItemBlock dark_oak_planks = get("dark_oak_planks");
	public static final ItemBlock dark_oak_sapling = get("dark_oak_sapling");
	public static final ItemSlab dark_oak_slab = get("dark_oak_slab");
	public static final ItemBlock dark_oak_stairs = get("dark_oak_stairs");
	public static final ItemBlock daylight_detector = get("daylight_detector");
	public static final ItemColored dead_bush = get("dead_bush");
	public static final ItemBlock deadbush = get("deadbush");
	public static final ItemBlock detector_rail = get("detector_rail");
	public static final Item diamond = get("diamond");
	public static final ItemAxe diamond_axe = get("diamond_axe");
	public static final ItemBlock diamond_block = get("diamond_block");
	public static final ItemArmor diamond_boots = get("diamond_boots");
	public static final ItemArmor diamond_chestplate = get("diamond_chestplate");
	public static final ItemArmor diamond_helmet = get("diamond_helmet");
	public static final ItemHoe diamond_hoe = get("diamond_hoe");
	public static final ItemHorseArmor diamond_horse_armor = get("diamond_horse_armor");
	public static final ItemArmor diamond_leggings = get("diamond_leggings");
	public static final ItemBlock diamond_ore = get("diamond_ore");
	public static final ItemPickaxe diamond_pickaxe = get("diamond_pickaxe");
	public static final ItemShears diamond_shears = get("diamond_shears");
	public static final ItemShovel diamond_shovel = get("diamond_shovel");
	public static final ItemSword diamond_sword = get("diamond_sword");
	public static final ItemDie die_10 = get("die_10");
	public static final ItemDie die_12 = get("die_12");
	public static final ItemDie die_20 = get("die_20");
	public static final ItemDie die_4 = get("die_4");
	public static final ItemDie die_6 = get("die_6");
	public static final ItemDie die_8 = get("die_8");
	public static final ItemBlock dirt = get("dirt");
	public static final ItemBlock dispenser = get("dispenser");
	public static final ItemBlock dragon_egg = get("dragon_egg");
	public static final ItemBlock dropper = get("dropper");
	public static final ItemBlock dry_leaves = get("dry_leaves");
	public static final ItemDynamite dynamite = get("dynamite");
	public static final ItemDynamite dynamite_1 = get("dynamite_1");
	public static final ItemDynamite dynamite_2 = get("dynamite_2");
	public static final ItemDynamite dynamite_3 = get("dynamite_3");
	public static final ItemDynamite dynamite_4 = get("dynamite_4");
	public static final ItemDynamite dynamite_5 = get("dynamite_5");
	public static final ItemDynamite dynamite_6 = get("dynamite_6");
	public static final ItemDynamite dynamite_7 = get("dynamite_7");
	public static final ItemEgg egg = get("egg");
	public static final Item emerald = get("emerald");
	public static final ItemBlock emerald_block = get("emerald_block");
	public static final ItemBlock emerald_ore = get("emerald_ore");
	public static final ItemEnchantedBook enchanted_book = get("enchanted_book");
	public static final ItemBlock enchanting_table = get("enchanting_table");
	public static final ItemExpBottle experience_bottle = get("experience_bottle");
	public static final ItemExterminator exterminator = get("exterminator");
	public static final ItemBlock farmland = get("farmland");
	public static final Item feather = get("feather");
	public static final Item fermented_spider_eye = get("fermented_spider_eye");
	public static final ItemColored fern = get("fern");
	public static final ItemFireball fire_charge = get("fire_charge");
	public static final ItemFireworkCharge firework_charge = get("firework_charge");
	public static final ItemFirework fireworks = get("fireworks");
	public static final ItemFishingRod fishing_rod = get("fishing_rod");
	public static final Item flint = get("flint");
	public static final ItemFlintAndSteel flint_and_steel = get("flint_and_steel");
	public static final ItemBlock floor_tiles = get("floor_tiles");
	public static final ItemBlock floor_tiles_black = get("floor_tiles_black");
	public static final ItemBlock floor_tiles_red = get("floor_tiles_red");
	public static final ItemBlock floor_tiles_white = get("floor_tiles_white");
	public static final ItemSmallBlock flowerpot = get("flowerpot");
	public static final ItemBlock furnace = get("furnace");
	public static final ItemTiny tear = get("tear");
	public static final Item ghi_fragment = get("ghi_fragment");
	public static final ItemBlock glass = get("glass");
	public static final ItemGlassBottle glass_bottle = get("glass_bottle");
	public static final ItemBlock glass_pane = get("glass_pane");
	public static final ItemBlock glowstone = get("glowstone");
	public static final Item glowstone_dust = get("glowstone_dust");
	public static final ItemAxe gold_axe = get("gold_axe");
	public static final ItemMetalBlock gold_block = get("gold_block");
	public static final ItemArmor gold_boots = get("gold_boots");
	public static final ItemArmor gold_chestplate = get("gold_chestplate");
	public static final ItemArmor gold_helmet = get("gold_helmet");
	public static final ItemHoe gold_hoe = get("gold_hoe");
	public static final ItemHorseArmor gold_horse_armor = get("gold_horse_armor");
	public static final ItemMetal gold_ingot = get("gold_ingot");
	public static final ItemArmor gold_leggings = get("gold_leggings");
	public static final ItemNugget gold_nugget = get("gold_nugget");
	public static final ItemMetalBlock gold_ore = get("gold_ore");
	public static final ItemPickaxe gold_pickaxe = get("gold_pickaxe");
	public static final ItemShears gold_shears = get("gold_shears");
	public static final ItemShovel gold_shovel = get("gold_shovel");
	public static final ItemSword gold_sword = get("gold_sword");
	public static final ItemAppleGold golden_apple = get("golden_apple");
	public static final ItemAppleGold charged_apple = get("charged_apple");
	public static final ItemFood golden_carrot = get("golden_carrot");
	public static final ItemBlock golden_rail = get("golden_rail");
	public static final ItemBucket goo_bucket = get("goo_bucket");
	public static final ItemColored grass = get("grass");
	public static final ItemBlock gravel = get("gravel");
	public static final ItemBlock gray_carpet = get("gray_carpet");
	public static final ItemBlock gray_clay = get("gray_clay");
	public static final ItemDye gray_dye = get("gray_dye");
	public static final ItemBlock gray_glass = get("gray_glass");
	public static final ItemBlock gray_glass_pane = get("gray_glass_pane");
	public static final ItemBlock gray_wool = get("gray_wool");
	public static final ItemBlock green_carpet = get("green_carpet");
	public static final ItemBlock green_clay = get("green_clay");
	public static final ItemBlock green_glass = get("green_glass");
	public static final ItemBlock green_glass_pane = get("green_glass_pane");
	public static final ItemBlock green_wool = get("green_wool");
	public static final Item gunpowder = get("gunpowder");
	public static final ItemAxe gyriyn_axe = get("gyriyn_axe");
	public static final ItemBlock gyriyn_block = get("gyriyn_block");
	public static final ItemHoe gyriyn_hoe = get("gyriyn_hoe");
	public static final ItemBlock gyriyn_ore = get("gyriyn_ore");
	public static final ItemPickaxe gyriyn_pickaxe = get("gyriyn_pickaxe");
	public static final ItemShovel gyriyn_shovel = get("gyriyn_shovel");
	public static final ItemBlock hardened_clay = get("hardened_clay");
	public static final ItemBlock hay_block = get("hay_block");
	public static final ItemPressurePlate heavy_weighted_pressure_plate = get("heavy_weighted_pressure_plate");
	public static final ItemBlock hellrock = get("hellrock");
	public static final ItemBlock hopper = get("hopper");
	public static final ItemMinecart hopper_minecart = get("hopper_minecart");
	public static final ItemBlock houstonia = get("houstonia");
	public static final ItemBucket hydrogen_bucket = get("hydrogen_bucket");
	public static final ItemBlock ice = get("ice");
	public static final ItemInfoWand info_wand = get("info_wand");
	public static final ItemDye ink_sack = get("ink_sack");
	public static final ItemMetalBlock iodine_block = get("iodine_block");
	public static final ItemMetalBlock iodine_ore = get("iodine_ore");
	public static final ItemMetal iodine_powder = get("iodine_powder");
	public static final ItemAxe iron_axe = get("iron_axe");
	public static final ItemBlock iron_bars = get("iron_bars");
	public static final ItemMetalBlock iron_block = get("iron_block");
	public static final ItemArmor iron_boots = get("iron_boots");
	public static final ItemArmor iron_chestplate = get("iron_chestplate");
	public static final ItemDoor iron_door = get("iron_door");
	public static final ItemArmor iron_helmet = get("iron_helmet");
	public static final ItemHoe iron_hoe = get("iron_hoe");
	public static final ItemHorseArmor iron_horse_armor = get("iron_horse_armor");
	public static final ItemMetal iron_ingot = get("iron_ingot");
	public static final ItemArmor iron_leggings = get("iron_leggings");
	public static final ItemMetalBlock iron_ore = get("iron_ore");
	public static final ItemPickaxe iron_pickaxe = get("iron_pickaxe");
	public static final ItemShears iron_shears = get("iron_shears");
	public static final ItemShovel iron_shovel = get("iron_shovel");
	public static final ItemSword iron_sword = get("iron_sword");
	public static final ItemBlock iron_trapdoor = get("iron_trapdoor");
	public static final ItemBlock jukebox = get("jukebox");
	public static final ItemDoor jungle_door = get("jungle_door");
	public static final ItemFence jungle_fence = get("jungle_fence");
	public static final ItemBlock jungle_fence_gate = get("jungle_fence_gate");
	public static final ItemColored jungle_leaves_autumn = get("jungle_leaves_autumn");
	public static final ItemColored jungle_leaves_snowy = get("jungle_leaves_snowy");
	public static final ItemColored jungle_leaves_spring = get("jungle_leaves_spring");
	public static final ItemColored jungle_leaves_summer = get("jungle_leaves_summer");
	public static final ItemColored jungle_leaves_winter = get("jungle_leaves_winter");
	public static final ItemBlock jungle_log = get("jungle_log");
	public static final ItemBlock jungle_planks = get("jungle_planks");
	public static final ItemBlock jungle_sapling = get("jungle_sapling");
	public static final ItemSlab jungle_slab = get("jungle_slab");
	public static final ItemBlock jungle_stairs = get("jungle_stairs");
	public static final ItemKey key = get("key");
	public static final ItemBlock ladder = get("ladder");
	public static final ItemBlock lamp = get("lamp");
	public static final ItemBlock lapis_block = get("lapis_block");
	public static final ItemDye lapis_lazuli = get("lapis_lazuli");
	public static final ItemBlock lapis_ore = get("lapis_ore");
	public static final ItemDoublePlant large_fern = get("large_fern");
	public static final ItemDoublePlant large_tallgrass = get("large_tallgrass");
	public static final ItemBucket lava_bucket = get("lava_bucket");
	public static final ItemLead lead = get("lead");
	public static final ItemMetalBlock lead_block = get("lead_block");
	public static final ItemMetal lead_ingot = get("lead_ingot");
	public static final ItemMetalBlock lead_ore = get("lead_ore");
	public static final Item leather = get("leather");
	public static final ItemArmor leather_boots = get("leather_boots");
	public static final ItemArmor leather_chestplate = get("leather_chestplate");
	public static final ItemArmor leather_helmet = get("leather_helmet");
	public static final ItemArmor leather_leggings = get("leather_leggings");
	public static final ItemBlock lever = get("lever");
	public static final ItemBlock light_blue_carpet = get("light_blue_carpet");
	public static final ItemBlock light_blue_clay = get("light_blue_clay");
	public static final ItemDye light_blue_dye = get("light_blue_dye");
	public static final ItemBlock light_blue_glass = get("light_blue_glass");
	public static final ItemBlock light_blue_glass_pane = get("light_blue_glass_pane");
	public static final ItemBlock light_blue_wool = get("light_blue_wool");
	public static final ItemPressurePlate light_weighted_pressure_plate = get("light_weighted_pressure_plate");
	public static final ItemLightning lightning_wand = get("lightning_wand");
	public static final ItemBlock lime_carpet = get("lime_carpet");
	public static final ItemBlock lime_clay = get("lime_clay");
	public static final ItemDye lime_dye = get("lime_dye");
	public static final ItemBlock lime_glass = get("lime_glass");
	public static final ItemBlock lime_glass_pane = get("lime_glass_pane");
	public static final ItemBlock lime_wool = get("lime_wool");
	public static final ItemBlock lit_furnace = get("lit_furnace");
	public static final ItemBlock lit_pumpkin = get("lit_pumpkin");
	public static final ItemMetalBlock lithium_block = get("lithium_block");
	public static final ItemMetal lithium_ingot = get("lithium_ingot");
	public static final ItemMetalBlock lithium_ore = get("lithium_ore");
	public static final ItemBlock magenta_carpet = get("magenta_carpet");
	public static final ItemBlock magenta_clay = get("magenta_clay");
	public static final ItemDye magenta_dye = get("magenta_dye");
	public static final ItemBlock magenta_glass = get("magenta_glass");
	public static final ItemBlock magenta_glass_pane = get("magenta_glass_pane");
	public static final ItemBlock magenta_wool = get("magenta_wool");
	public static final ItemBucket magma_bucket = get("magma_bucket");
	public static final Item magma_cream = get("magma_cream");
	public static final ItemMetalBlock magnesium_block = get("magnesium_block");
	public static final ItemMetalBlock magnesium_ore = get("magnesium_ore");
	public static final ItemMetal magnesium_powder = get("magnesium_powder");
	public static final ItemMagnet magnet = get("magnet");
	public static final ItemMetalBlock manganese_block = get("manganese_block");
	public static final ItemMetal manganese_ingot = get("manganese_ingot");
	public static final ItemMetalBlock manganese_ore = get("manganese_ore");
	public static final ItemDoor maple_door = get("maple_door");
	public static final ItemFence maple_fence = get("maple_fence");
	public static final ItemBlock maple_fence_gate = get("maple_fence_gate");
	public static final ItemColored maple_leaves_autumn = get("maple_leaves_autumn");
	public static final ItemColored maple_leaves_snowy = get("maple_leaves_snowy");
	public static final ItemColored maple_leaves_spring = get("maple_leaves_spring");
	public static final ItemColored maple_leaves_summer = get("maple_leaves_summer");
	public static final ItemColored maple_leaves_winter = get("maple_leaves_winter");
	public static final ItemBlock maple_log = get("maple_log");
	public static final ItemBlock maple_planks = get("maple_planks");
	public static final ItemBlock maple_sapling = get("maple_sapling");
	public static final ItemSlab maple_slab = get("maple_slab");
	public static final ItemBlock maple_stairs = get("maple_stairs");
	public static final ItemFood melon = get("melon");
	public static final ItemBlock melon_block = get("melon_block");
	public static final ItemSeeds melon_stem = get("melon_stem");
	public static final ItemBucket mercury_bucket = get("mercury_bucket");
	public static final ItemBucketMilk milk_bucket = get("milk_bucket");
	public static final ItemMinecart minecart = get("minecart");
	public static final ItemBlock mob_spawner = get("mob_spawner");
	public static final ItemBlock moon_cheese = get("moon_cheese");
	public static final ItemBlock moon_rock = get("moon_rock");
	public static final ItemBlock mossy_cobblestone = get("mossy_cobblestone");
	public static final ItemWall mossy_cobblestone_wall = get("mossy_cobblestone_wall");
	public static final ItemBlock mossy_stonebrick = get("mossy_stonebrick");
	public static final ItemSoup mushroom_stew = get("mushroom_stew");
	public static final ItemBlock mycelium = get("mycelium");
	public static final ItemNameTag name_tag = get("name_tag");
	public static final ItemSpaceNavigator navigator = get("navigator");
	public static final ItemMetalBlock neodymium_block = get("neodymium_block");
	public static final ItemMetal neodymium_ingot = get("neodymium_ingot");
	public static final ItemMetalBlock neodymium_ore = get("neodymium_ore");
	public static final ItemMetalBlock neptunium_block = get("neptunium_block");
	public static final ItemMetal neptunium_ingot = get("neptunium_ingot");
	public static final ItemMetalBlock neptunium_ore = get("neptunium_ore");
	public static final ItemAxe nichun_axe = get("nichun_axe");
	public static final ItemBlock nichun_block = get("nichun_block");
	public static final ItemArmor nichun_boots = get("nichun_boots");
	public static final ItemArmor nichun_chestplate = get("nichun_chestplate");
	public static final ItemArmor nichun_helmet = get("nichun_helmet");
	public static final ItemHoe nichun_hoe = get("nichun_hoe");
	public static final ItemArmor nichun_leggings = get("nichun_leggings");
	public static final ItemBlock nichun_ore = get("nichun_ore");
	public static final ItemPickaxe nichun_pickaxe = get("nichun_pickaxe");
	public static final ItemShovel nichun_shovel = get("nichun_shovel");
	public static final ItemSword nichun_sword = get("nichun_sword");
	public static final ItemMetalBlock nickel_block = get("nickel_block");
	public static final ItemMetal nickel_ingot = get("nickel_ingot");
	public static final ItemMetalBlock nickel_ore = get("nickel_ore");
	public static final Item nieh_fragment = get("nieh_fragment");
	public static final ItemBlock noteblock = get("noteblock");
	public static final ItemBucket nukage_bucket = get("nukage_bucket");
	public static final ItemBlock nuke = get("nuke");
	public static final ItemDoor oak_door = get("oak_door");
	public static final ItemFence oak_fence = get("oak_fence");
	public static final ItemBlock oak_fence_gate = get("oak_fence_gate");
	public static final ItemColored oak_leaves_autumn = get("oak_leaves_autumn");
	public static final ItemColored oak_leaves_snowy = get("oak_leaves_snowy");
	public static final ItemColored oak_leaves_spring = get("oak_leaves_spring");
	public static final ItemColored oak_leaves_summer = get("oak_leaves_summer");
	public static final ItemColored oak_leaves_winter = get("oak_leaves_winter");
	public static final ItemBlock oak_log = get("oak_log");
	public static final ItemBlock oak_planks = get("oak_planks");
	public static final ItemBlock oak_sapling = get("oak_sapling");
	public static final ItemSlab oak_slab = get("oak_slab");
	public static final ItemBlock oak_stairs = get("oak_stairs");
	public static final ItemBlock obsidian = get("obsidian");
	public static final ItemBlock orange_carpet = get("orange_carpet");
	public static final ItemBlock orange_clay = get("orange_clay");
	public static final ItemDye orange_dye = get("orange_dye");
	public static final ItemBlock orange_glass = get("orange_glass");
	public static final ItemBlock orange_glass_pane = get("orange_glass_pane");
	public static final ItemBlock orange_tulip = get("orange_tulip");
	public static final ItemBlock orange_wool = get("orange_wool");
	public static final ItemFragile orb = get("orb");
	public static final ItemBlock packed_ice = get("packed_ice");
	public static final ItemDoublePlant paeonia = get("paeonia");
	public static final ItemMetalBlock palladium_block = get("palladium_block");
	public static final ItemMetal palladium_ingot = get("palladium_ingot");
	public static final ItemMetalBlock palladium_ore = get("palladium_ore");
	public static final Item paper = get("paper");
	public static final ItemBlock pentagram = get("pentagram");
	public static final ItemMetalBlock phosphor_block = get("phosphor_block");
	public static final ItemMetalBlock phosphor_ore = get("phosphor_ore");
	public static final ItemMetal phosphor_powder = get("phosphor_powder");
	public static final ItemBlock pink_carpet = get("pink_carpet");
	public static final ItemBlock pink_clay = get("pink_clay");
	public static final ItemDye pink_dye = get("pink_dye");
	public static final ItemBlock pink_glass = get("pink_glass");
	public static final ItemBlock pink_glass_pane = get("pink_glass_pane");
	public static final ItemBlock pink_tulip = get("pink_tulip");
	public static final ItemBlock pink_wool = get("pink_wool");
	public static final ItemPiston piston = get("piston");
	public static final ItemMetalBlock platinum_block = get("platinum_block");
	public static final ItemMetal platinum_ingot = get("platinum_ingot");
	public static final ItemMetalBlock platinum_ore = get("platinum_ore");
	public static final ItemMetalBlock plutonium_block = get("plutonium_block");
	public static final ItemMetal plutonium_ingot = get("plutonium_ingot");
	public static final ItemMetalBlock plutonium_ore = get("plutonium_ore");
	public static final ItemBlock podzol = get("podzol");
	public static final ItemFood poisonous_potato = get("poisonous_potato");
	public static final ItemBlock poppy = get("poppy");
	public static final ItemFood porkchop = get("porkchop");
	public static final ItemBlock portal_frame = get("portal_frame");
	public static final ItemMetalBlock potassium_block = get("potassium_block");
	public static final ItemMetalBlock potassium_ore = get("potassium_ore");
	public static final ItemMetal potassium_powder = get("potassium_powder");
	public static final ItemSeedFood potato = get("potato");
	public static final ItemPotion potion = get("potion");
	public static final ItemPotion potion_damage = get("potion_damage");
	public static final ItemPotion potion_damage_2 = get("potion_damage_2");
	public static final ItemPotion potion_fire_resistance_3600 = get("potion_fire_resistance_3600");
	public static final ItemPotion potion_fire_resistance_9600 = get("potion_fire_resistance_9600");
	public static final ItemPotion potion_health = get("potion_health");
	public static final ItemPotion potion_health_2 = get("potion_health_2");
	public static final ItemPotion potion_night_vision_3600 = get("potion_night_vision_3600");
	public static final ItemPotion potion_night_vision_9600 = get("potion_night_vision_9600");
	public static final ItemPotion potion_poison_2400 = get("potion_poison_2400");
	public static final ItemPotion potion_poison_2_450 = get("potion_poison_2_450");
	public static final ItemPotion potion_poison_900 = get("potion_poison_900");
	public static final ItemPotion potion_regeneration_2400 = get("potion_regeneration_2400");
	public static final ItemPotion potion_regeneration_2_450 = get("potion_regeneration_2_450");
	public static final ItemPotion potion_regeneration_900 = get("potion_regeneration_900");
	public static final ItemPotion potion_slowness_1800 = get("potion_slowness_1800");
	public static final ItemPotion potion_slowness_4800 = get("potion_slowness_4800");
	public static final ItemPotion potion_speed_2_1800 = get("potion_speed_2_1800");
	public static final ItemPotion potion_speed_3600 = get("potion_speed_3600");
	public static final ItemPotion potion_speed_9600 = get("potion_speed_9600");
	public static final ItemPotion potion_stability_3600 = get("potion_stability_3600");
	public static final ItemPotion potion_stability_9600 = get("potion_stability_9600");
	public static final ItemPotion potion_strength_2_1800 = get("potion_strength_2_1800");
	public static final ItemPotion potion_strength_3600 = get("potion_strength_3600");
	public static final ItemPotion potion_strength_9600 = get("potion_strength_9600");
	public static final ItemPotion potion_weakness_1800 = get("potion_weakness_1800");
	public static final ItemPotion potion_weakness_4800 = get("potion_weakness_4800");
	public static final ItemMetalBlock praseodymium_block = get("praseodymium_block");
	public static final ItemMetal praseodymium_ingot = get("praseodymium_ingot");
	public static final ItemMetalBlock praseodymium_ore = get("praseodymium_ore");
	public static final ItemBlock pumpkin = get("pumpkin");
	public static final ItemFood pumpkin_pie = get("pumpkin_pie");
	public static final ItemSeeds pumpkin_stem = get("pumpkin_stem");
	public static final ItemBed purple_bed = get("purple_bed");
	public static final ItemBlock purple_carpet = get("purple_carpet");
	public static final ItemBlock purple_clay = get("purple_clay");
	public static final ItemDye purple_dye = get("purple_dye");
	public static final ItemBlock purple_glass = get("purple_glass");
	public static final ItemBlock purple_glass_pane = get("purple_glass_pane");
	public static final ItemBlock purple_wool = get("purple_wool");
	public static final Item quartz = get("quartz");
	public static final ItemBlock quartz_block = get("quartz_block");
	public static final ItemBlock quartz_ore = get("quartz_ore");
	public static final ItemBlock quartz_ornaments = get("quartz_ornaments");
	public static final ItemBlock quartz_pillar = get("quartz_pillar");
	public static final ItemSlab quartz_slab = get("quartz_slab");
	public static final ItemBlock quartz_stairs = get("quartz_stairs");
	public static final ItemMetalBlock radium_block = get("radium_block");
	public static final ItemMetal radium_ingot = get("radium_ingot");
	public static final ItemMetalBlock radium_ore = get("radium_ore");
	public static final ItemBlock rail = get("rail");
	public static final ItemRecord record_11 = get("record_11");
	public static final ItemRecord record_13 = get("record_13");
	public static final ItemRecord record_blocks = get("record_blocks");
	public static final ItemRecord record_cat = get("record_cat");
	public static final ItemRecord record_chirp = get("record_chirp");
	public static final ItemRecord record_delay = get("record_delay");
	public static final ItemRecord record_extend = get("record_extend");
	public static final ItemRecord record_far = get("record_far");
	public static final ItemRecord record_mall = get("record_mall");
	public static final ItemRecord record_mellohi = get("record_mellohi");
	public static final ItemRecord record_stal = get("record_stal");
	public static final ItemRecord record_strad = get("record_strad");
	public static final ItemRecord record_wait = get("record_wait");
	public static final ItemRecord record_ward = get("record_ward");
	public static final ItemBucket recursive_acid_bucket = get("recursive_acid_bucket");
	public static final ItemBucket recursive_blood_bucket = get("recursive_blood_bucket");
	public static final ItemBucket recursive_bucket = get("recursive_bucket");
	public static final ItemBucket recursive_goo_bucket = get("recursive_goo_bucket");
	public static final ItemBucket recursive_hydrogen_bucket = get("recursive_hydrogen_bucket");
	public static final ItemBucket recursive_lava_bucket = get("recursive_lava_bucket");
	public static final ItemBucket recursive_magma_bucket = get("recursive_magma_bucket");
	public static final ItemBucket recursive_mercury_bucket = get("recursive_mercury_bucket");
	public static final ItemBucket recursive_nukage_bucket = get("recursive_nukage_bucket");
	public static final ItemBucket recursive_slime_bucket = get("recursive_slime_bucket");
	public static final ItemBucket recursive_springwater_bucket = get("recursive_springwater_bucket");
	public static final ItemBucket recursive_water_bucket = get("recursive_water_bucket");
	public static final ItemBed red_bed = get("red_bed");
	public static final ItemButton red_button = get("red_button");
	public static final ItemBlock red_carpet = get("red_carpet");
	public static final ItemBlock red_clay = get("red_clay");
	public static final ItemDye red_dye = get("red_dye");
	public static final ItemBlock red_glass = get("red_glass");
	public static final ItemBlock red_glass_pane = get("red_glass_pane");
	public static final ItemBlock red_mushroom = get("red_mushroom");
	public static final ItemBlock red_mushroom_block = get("red_mushroom_block");
	public static final ItemBlock red_sand = get("red_sand");
	public static final ItemBlock red_tulip = get("red_tulip");
	public static final ItemBlock red_wool = get("red_wool");
	public static final ItemRedstone redstone = get("redstone");
	public static final ItemBlock redstone_block = get("redstone_block");
	public static final ItemBlock redstone_lamp = get("redstone_lamp");
	public static final ItemBlock redstone_ore = get("redstone_ore");
	public static final ItemBlock redstone_torch = get("redstone_torch");
	public static final ItemSmallBlock reeds = get("reeds");
	public static final ItemSmallBlock repeater = get("repeater");
	public static final ItemBlock rock = get("rock");
	public static final ItemBlock rose = get("rose");
	public static final ItemDoublePlant rose_bush = get("rose_bush");
	public static final ItemFood rotten_flesh = get("rotten_flesh");
	public static final Item ruby = get("ruby");
	public static final ItemBlock ruby_block = get("ruby_block");
	public static final ItemBlock ruby_ore = get("ruby_ore");
	public static final ItemSaddle saddle = get("saddle");
	public static final ItemBlock sand = get("sand");
	public static final ItemBlock sandstone = get("sandstone");
	public static final ItemSlab sandstone_slab = get("sandstone_slab");
	public static final ItemBlock sandstone_stairs = get("sandstone_stairs");
	public static final ItemMetalBlock selenium_block = get("selenium_block");
	public static final ItemMetalBlock selenium_ore = get("selenium_ore");
	public static final ItemMetal selenium_powder = get("selenium_powder");
	public static final ItemSign sign = get("sign");
	public static final ItemMetalBlock silicon_block = get("silicon_block");
	public static final ItemMetal silicon_ingot = get("silicon_ingot");
	public static final ItemMetalBlock silicon_ore = get("silicon_ore");
	public static final ItemMetalBlock silver_block = get("silver_block");
	public static final ItemBlock silver_carpet = get("silver_carpet");
	public static final ItemBlock silver_clay = get("silver_clay");
	public static final ItemDye silver_dye = get("silver_dye");
	public static final ItemBlock silver_glass = get("silver_glass");
	public static final ItemBlock silver_glass_pane = get("silver_glass_pane");
	public static final ItemMetal silver_ingot = get("silver_ingot");
	public static final ItemMetalBlock silver_ore = get("silver_ore");
	public static final ItemBlock silver_wool = get("silver_wool");
	public static final ItemSmallBlock skull = get("skull");
	public static final Item slime_ball = get("slime_ball");
	public static final ItemBlock slime_block = get("slime_block");
	public static final ItemBucket slime_bucket = get("slime_bucket");
	public static final ItemBlock smooth_rock = get("smooth_rock");
	public static final ItemBlock smooth_sandstone = get("smooth_sandstone");
	public static final ItemBlock snow = get("snow");
	public static final ItemSnow snow_layer = get("snow_layer");
	public static final ItemSnowball snowball = get("snowball");
	public static final ItemMetalBlock sodium_block = get("sodium_block");
	public static final ItemMetalBlock sodium_ore = get("sodium_ore");
	public static final ItemMetal sodium_powder = get("sodium_powder");
	public static final ItemBlock soul_sand = get("soul_sand");
	public static final ItemSeeds soul_wart = get("soul_wart");
	public static final Item speckled_melon = get("speckled_melon");
	public static final ItemFood spider_eye = get("spider_eye");
	public static final ItemPotion splash_potion = get("splash_potion");
	public static final ItemPotion splash_potion_damage = get("splash_potion_damage");
	public static final ItemPotion splash_potion_damage_2 = get("splash_potion_damage_2");
	public static final ItemPotion splash_potion_fire_resistance_2701 = get("splash_potion_fire_resistance_2701");
	public static final ItemPotion splash_potion_fire_resistance_7201 = get("splash_potion_fire_resistance_7201");
	public static final ItemPotion splash_potion_health = get("splash_potion_health");
	public static final ItemPotion splash_potion_health_2 = get("splash_potion_health_2");
	public static final ItemPotion splash_potion_night_vision_2701 = get("splash_potion_night_vision_2701");
	public static final ItemPotion splash_potion_night_vision_7201 = get("splash_potion_night_vision_7201");
	public static final ItemPotion splash_potion_poison_1801 = get("splash_potion_poison_1801");
	public static final ItemPotion splash_potion_poison_2_338 = get("splash_potion_poison_2_338");
	public static final ItemPotion splash_potion_poison_676 = get("splash_potion_poison_676");
	public static final ItemPotion splash_potion_regeneration_1801 = get("splash_potion_regeneration_1801");
	public static final ItemPotion splash_potion_regeneration_2_338 = get("splash_potion_regeneration_2_338");
	public static final ItemPotion splash_potion_regeneration_676 = get("splash_potion_regeneration_676");
	public static final ItemPotion splash_potion_slowness_1351 = get("splash_potion_slowness_1351");
	public static final ItemPotion splash_potion_slowness_3601 = get("splash_potion_slowness_3601");
	public static final ItemPotion splash_potion_speed_2701 = get("splash_potion_speed_2701");
	public static final ItemPotion splash_potion_speed_2_1351 = get("splash_potion_speed_2_1351");
	public static final ItemPotion splash_potion_speed_7201 = get("splash_potion_speed_7201");
	public static final ItemPotion splash_potion_stability_2701 = get("splash_potion_stability_2701");
	public static final ItemPotion splash_potion_stability_7201 = get("splash_potion_stability_7201");
	public static final ItemPotion splash_potion_strength_2701 = get("splash_potion_strength_2701");
	public static final ItemPotion splash_potion_strength_2_1351 = get("splash_potion_strength_2_1351");
	public static final ItemPotion splash_potion_strength_7201 = get("splash_potion_strength_7201");
	public static final ItemPotion splash_potion_weakness_1351 = get("splash_potion_weakness_1351");
	public static final ItemPotion splash_potion_weakness_3601 = get("splash_potion_weakness_3601");
	public static final ItemBlock sponge = get("sponge");
	public static final ItemBucket springwater_bucket = get("springwater_bucket");
	public static final ItemDoor spruce_door = get("spruce_door");
	public static final ItemFence spruce_fence = get("spruce_fence");
	public static final ItemBlock spruce_fence_gate = get("spruce_fence_gate");
	public static final ItemColored spruce_leaves_autumn = get("spruce_leaves_autumn");
	public static final ItemColored spruce_leaves_snowy = get("spruce_leaves_snowy");
	public static final ItemColored spruce_leaves_spring = get("spruce_leaves_spring");
	public static final ItemColored spruce_leaves_summer = get("spruce_leaves_summer");
	public static final ItemColored spruce_leaves_winter = get("spruce_leaves_winter");
	public static final ItemBlock spruce_log = get("spruce_log");
	public static final ItemBlock spruce_planks = get("spruce_planks");
	public static final ItemBlock spruce_sapling = get("spruce_sapling");
	public static final ItemSlab spruce_slab = get("spruce_slab");
	public static final ItemBlock spruce_stairs = get("spruce_stairs");
	public static final ItemStick stick = get("stick");
	public static final ItemPiston sticky_piston = get("sticky_piston");
	public static final ItemBlock stone = get("stone");
	public static final ItemAxe stone_axe = get("stone_axe");
	public static final ItemButton stone_button = get("stone_button");
	public static final ItemHoe stone_hoe = get("stone_hoe");
	public static final ItemPickaxe stone_pickaxe = get("stone_pickaxe");
	public static final ItemPressurePlate stone_pressure_plate = get("stone_pressure_plate");
	public static final ItemShovel stone_shovel = get("stone_shovel");
	public static final ItemSlab stone_slab = get("stone_slab");
	public static final ItemBlock stone_stairs = get("stone_stairs");
	public static final ItemSword stone_sword = get("stone_sword");
	public static final ItemBlock stonebrick = get("stonebrick");
	public static final ItemSlab stonebrick_slab = get("stonebrick_slab");
	public static final ItemBlock stonebrick_stairs = get("stonebrick_stairs");
	public static final ItemSmallBlock string = get("string");
	public static final Item sugar = get("sugar");
	public static final ItemMetalBlock sulfur_block = get("sulfur_block");
	public static final ItemMetalBlock sulfur_ore = get("sulfur_ore");
	public static final ItemMetal sulfur_powder = get("sulfur_powder");
	public static final ItemDoublePlant sunflower = get("sunflower");
	public static final ItemDoublePlant syringa = get("syringa");
	public static final ItemColored tallgrass = get("tallgrass");
	public static final ItemAxe thetium_axe = get("thetium_axe");
	public static final ItemBlock thetium_block = get("thetium_block");
	public static final ItemArmor thetium_boots = get("thetium_boots");
	public static final ItemArmor thetium_chestplate = get("thetium_chestplate");
	public static final ItemArmor thetium_helmet = get("thetium_helmet");
	public static final ItemHoe thetium_hoe = get("thetium_hoe");
	public static final ItemArmor thetium_leggings = get("thetium_leggings");
	public static final ItemBlock thetium_ore = get("thetium_ore");
	public static final ItemPickaxe thetium_pickaxe = get("thetium_pickaxe");
	public static final ItemShovel thetium_shovel = get("thetium_shovel");
	public static final ItemSword thetium_sword = get("thetium_sword");
	public static final Item thi_fragment = get("thi_fragment");
	public static final ItemBlock tian = get("tian");
	public static final ItemDoor tian_door = get("tian_door");
	public static final ItemFence tian_fence = get("tian_fence");
	public static final ItemBlock tian_fence_gate = get("tian_fence_gate");
	public static final ItemColored tian_leaves_autumn = get("tian_leaves_autumn");
	public static final ItemColored tian_leaves_snowy = get("tian_leaves_snowy");
	public static final ItemColored tian_leaves_spring = get("tian_leaves_spring");
	public static final ItemColored tian_leaves_summer = get("tian_leaves_summer");
	public static final ItemColored tian_leaves_winter = get("tian_leaves_winter");
	public static final ItemBlock tian_log = get("tian_log");
	public static final ItemBlock tian_planks = get("tian_planks");
	public static final ItemBlock tian_reactor = get("tian_reactor");
	public static final ItemBlock tian_sapling = get("tian_sapling");
	public static final ItemSlab tian_slab = get("tian_slab");
	public static final ItemBlock tian_soil = get("tian_soil");
	public static final ItemBlock tian_stairs = get("tian_stairs");
	public static final ItemMetalBlock tin_block = get("tin_block");
	public static final ItemMetal tin_ingot = get("tin_ingot");
	public static final ItemMetalBlock tin_ore = get("tin_ore");
	public static final ItemMetalBlock titanium_block = get("titanium_block");
	public static final ItemMetal titanium_ingot = get("titanium_ingot");
	public static final ItemMetalBlock titanium_ore = get("titanium_ore");
	public static final ItemBlock tnt = get("tnt");
	public static final ItemBlock tnt_1 = get("tnt_1");
	public static final ItemBlock tnt_2 = get("tnt_2");
	public static final ItemBlock tnt_3 = get("tnt_3");
	public static final ItemBlock tnt_4 = get("tnt_4");
	public static final ItemBlock tnt_5 = get("tnt_5");
	public static final ItemBlock tnt_6 = get("tnt_6");
	public static final ItemBlock tnt_7 = get("tnt_7");
	public static final ItemMinecart tnt_minecart = get("tnt_minecart");
	public static final ItemBlock torch = get("torch");
	public static final ItemBlock trapdoor = get("trapdoor");
	public static final ItemChest trapped_chest = get("trapped_chest");
	public static final ItemBlock tripwire_hook = get("tripwire_hook");
	public static final ItemMetalBlock tungsten_block = get("tungsten_block");
	public static final ItemMetal tungsten_ingot = get("tungsten_ingot");
	public static final ItemMetalBlock tungsten_ore = get("tungsten_ore");
	public static final ItemMetalBlock uranium_block = get("uranium_block");
	public static final ItemMetal uranium_ingot = get("uranium_ingot");
	public static final ItemMetalBlock uranium_ore = get("uranium_ore");
	public static final ItemMetalBlock vanadium_block = get("vanadium_block");
	public static final ItemMetal vanadium_ingot = get("vanadium_ingot");
	public static final ItemMetalBlock vanadium_ore = get("vanadium_ore");
	public static final ItemColored vine = get("vine");
	public static final ItemEditWand wand = get("wand");
	public static final ItemBlock warp_chest = get("warp_chest");
	public static final ItemBucket water_bucket = get("water_bucket");
	public static final ItemLilyPad waterlily = get("waterlily");
	public static final ItemWeatherToken weather_token_chilled = get("weather_token_chilled");
	public static final ItemWeatherToken weather_token_clear = get("weather_token_clear");
	public static final ItemWeatherToken weather_token_cold = get("weather_token_cold");
	public static final ItemWeatherToken weather_token_fire = get("weather_token_fire");
	public static final ItemWeatherToken weather_token_fog = get("weather_token_fog");
	public static final ItemWeatherToken weather_token_frost = get("weather_token_frost");
	public static final ItemWeatherToken weather_token_hail = get("weather_token_hail");
	public static final ItemWeatherToken weather_token_hailstorm = get("weather_token_hailstorm");
	public static final ItemWeatherToken weather_token_hot = get("weather_token_hot");
	public static final ItemWeatherToken weather_token_ice = get("weather_token_ice");
	public static final ItemWeatherToken weather_token_iceage = get("weather_token_iceage");
	public static final ItemWeatherToken weather_token_inferno = get("weather_token_inferno");
	public static final ItemWeatherToken weather_token_rain = get("weather_token_rain");
	public static final ItemWeatherToken weather_token_snow = get("weather_token_snow");
	public static final ItemWeatherToken weather_token_snowstorm = get("weather_token_snowstorm");
	public static final ItemWeatherToken weather_token_storm = get("weather_token_storm");
	public static final ItemWeatherToken weather_token_thunder = get("weather_token_thunder");
	public static final ItemBlock web = get("web");
	public static final ItemSeeds wheat = get("wheat");
	public static final Item wheats = get("wheats");
	public static final ItemBed white_bed = get("white_bed");
	public static final ItemBlock white_carpet = get("white_carpet");
	public static final ItemBlock white_clay = get("white_clay");
	public static final ItemBlock white_glass = get("white_glass");
	public static final ItemBlock white_glass_pane = get("white_glass_pane");
	public static final ItemBlock white_tulip = get("white_tulip");
	public static final ItemBlock white_wool = get("white_wool");
	public static final ItemAxe wood_axe = get("wood_axe");
	public static final ItemHoe wood_hoe = get("wood_hoe");
	public static final ItemPickaxe wood_pickaxe = get("wood_pickaxe");
	public static final ItemShovel wood_shovel = get("wood_shovel");
	public static final ItemSword wood_sword = get("wood_sword");
	public static final ItemButton wooden_button = get("wooden_button");
	public static final ItemPressurePlate wooden_pressure_plate = get("wooden_pressure_plate");
	public static final ItemBlock workbench = get("workbench");
	public static final Item writable_book = get("writable_book");
	public static final Item written_book = get("written_book");
	public static final ItemBlock yellow_carpet = get("yellow_carpet");
	public static final ItemBlock yellow_clay = get("yellow_clay");
	public static final ItemDye yellow_dye = get("yellow_dye");
	public static final ItemBlock yellow_glass = get("yellow_glass");
	public static final ItemBlock yellow_glass_pane = get("yellow_glass_pane");
	public static final ItemBlock yellow_wool = get("yellow_wool");
	public static final ItemMetalBlock zinc_block = get("zinc_block");
	public static final ItemMetal zinc_ingot = get("zinc_ingot");
	public static final ItemMetalBlock zinc_ore = get("zinc_ore");
	public static final ItemFishFood cod = get("cod");
	public static final ItemFishFood cooked_cod = get("cooked_cod");
	public static final ItemFishFood salmon = get("salmon");
	public static final ItemFishFood cooked_salmon = get("cooked_salmon");
	public static final ItemFishFood clownfish = get("clownfish");
	public static final ItemFishFood pufferfish = get("pufferfish");
    
    private static <T extends Item> T get(String id) {
    	if(!ItemRegistry.REGISTRY.has(id))
			throw new RuntimeException("Gegenstand " + id + " existiert nicht");
		return (T)ItemRegistry.REGISTRY.byName(id);
    }
    
    static {
    	if(Util.DEVMODE) {
	    	Set<Item> items = Sets.newHashSet(ItemRegistry.REGISTRY);
	    	for(Field field : Items.class.getDeclaredFields()) {
	    		if(Modifier.isStatic(field.getModifiers()) && Modifier.isFinal(field.getModifiers()) && Item.class.isAssignableFrom(field.getType()))
					try {
						items.remove(field.get(null));
					}
					catch(IllegalArgumentException | IllegalAccessException e) {
						Util.throwUnchecked(e);
					}
	    	}
	    	for(Iterator<Item> iter = items.iterator(); iter.hasNext();) {
	    		Item item = iter.next();
	    		if(item instanceof ItemNpcSpawner || item instanceof ItemMonsterPlacer)
	    			iter.remove();
	    	}
	    	if(!items.isEmpty()) {
	    		List<Item> list = Lists.newArrayList(items);
	    		Collections.sort(list, Comparator.comparing(item -> ItemRegistry.getNameFromItem(item)));
	    		System.err.printf("\n*** -------------------------------------------------------------- ***\n\n");
	    		for(Item item : list) {
	    			String name = ItemRegistry.getNameFromItem(item);
	    			System.err.printf("\tpublic static final %s %s = get(\"%s\");\n", item.getClass().getSimpleName(), name, name);
	    		}
	    		System.err.printf("\n^^^ " + Items.class.getCanonicalName() + ": Gegenstandsliste ist unvollständig, Bitte neuen Quellcode einfügen ^^^\n");
	    		System.exit(1);
	    	}
    	}
    }
}
